> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/skintone.md).

# ITA (Individual Typology Angle) Result Scheme

Haut.AI provides a computer vision algorithm that evaluates the skin tone of different facial areas and the whole face.

## **Description**

Skintone shows how tanned your skin is. Many pigments have an effect on the color of the skin. One of the most important factors affecting skin tone is the quantity of melanin the skin contains. The amount of melanin in the skin is determined by genetic factors, but it is also increased by the impact of the sun’s radiation. To determine overall pigmentation or skin color, the ITA° system was developed. The lighter the skin, the higher the ITA°. ITA values are associated with six classes of skin tanning: very light, light, intermediate, tan, brown and dark. Moreover, the algorithm returns median values of L\*,a\*,b\* channels in the [CIELAB](https://en.wikipedia.org/wiki/CIELAB_color_space) color space.

## `area_name`

The algorithm returns metrics and sub-metrics for the following facial areas:

* `face`
* `forehead`
* `right_cheek`
* `left_cheek`

## `main_metric`

The main metric is the skintone of a particular area or a whole face

```javascript
"main_metric": {
                "value": 28,
                "widget_type": "ITA",
                "name": "ITA score",
                "tech_name": "ita_score",
                "widget_meta": null
            },
           
```

* **`value`** The skintone value ranges from `[-90,90]` and can be classified into six classes based on:
  * `(55,90]` - very light skin tone
  * `(41,55]` - light skin tone
  * `(28,41]` - intermediate skin tone
  * `(-10,28]` - tan skin tone
  * `(-30,-10]` - brown skin tone
  * `[-90,-30]` - dark skin tone
* `"widget_type": "ITA"` this indicates that the value is in the `[-90,90]` range.
* `"name": "ITA score"`
* `"tech_name": "ita_score"`

## `sub_metrics`

The algorithm returns median values of L\*,a\*,b\* channels in the [CIELAB](https://en.wikipedia.org/wiki/CIELAB_color_space) color space for each `area_name`.

```javascript
"sub_metrics": [
                {
                    "value": 65,
                    "widget_type": "numeric",
                    "name": "SkinTone L channel",
                    "tech_name": "skintone_l_channel",
                    "widget_meta": null
                },
                {
                    "value": 18,
                    "widget_type": "numeric",
                    "name": "SkinTone a channel",
                    "tech_name": "skintone_a_channel",
                    "widget_meta": null
                },
                {
                    "value": 27,
                    "widget_type": "numeric",
                    "name": "SkinTone b channel",
                    "tech_name": "skintone_b_channel",
                    "widget_meta": null
                }
            ]
```

## `masks_restored`

The algorithm doesn't return any

## `masks_original`

The algorithm doesn't return any

## **Example (JSON)**

{% file src="/files/-MYE2cB-v9vY9Jy\_CBkR" %}
skintone.json
{% endfile %}

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/skintone.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
